import { AdminService } from './admin.service';
export declare class AdminController {
    private readonly adminService;
    constructor(adminService: AdminService);
    me(userId: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/admin.schema").AdminDocument> & Required<{
        _id: string;
    }>) | null>;
    updateOwnPassword(userId: string, currentPassword: string, newPassword: string): Promise<{
        message: string;
    }>;
}
